using APT.Infrastructure.Core;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("班次表")]
   [IgnoreT4]public class T_FM_CLASS : MesEntityBase
    {
        [Description("编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [CUnique]
        public string CODE { get; set; }

        [Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }


        //[Description("时间")]
        //public DateTime WORKTIME { get; set; }

        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        [FormFieldEdit]
        public string REMARK { get; set; }

        [Description("导航：班次明细表")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public virtual ICollection<T_FM_CLASS_DETAIL> Nav_ClassDetail { get; set; }


    }
}
